/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.service.listener;

import org.fortiss.tooling.kernel.extension.ITutorialProvider;
import org.fortiss.tooling.kernel.extension.data.TutorialAtomicStep;
import org.fortiss.tooling.kernel.service.ITutorialService;

/**
 * Listener interface for the {@link ITutorialService}.
 * TODO(VA) Explain why listeners are needed? Is it only for the kernel developer or also for the
 * standard "kernel-using" developer?
 *
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating YELLOW Hash: 95AFFE19C0C91CBAAD314886CA58BDEA
 */
public interface ITutorialServiceListener {
	/** Fired when the given tutorial is started. */
	void tutorialStarted(ITutorialProvider provider);

	/** Fired when the tutorial step changed to the given step. */
	void tutorialStepChanged(TutorialAtomicStep step);

	/** Fired when the given tutorial is stopped. */
	void tutorialStopped(ITutorialProvider provider);
}
