/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.swt;

import org.eclipse.swt.dnd.Clipboard;
import org.eclipse.swt.dnd.DND;
import org.eclipse.swt.dnd.TextTransfer;
import org.eclipse.swt.dnd.Transfer;
import org.eclipse.swt.widgets.Display;

/**
 * Utility methods for working with the {@link Clipboard}
 * 
 * @author Elmar Juergens
 * @author streitel
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: 7E77CA6C5D566FD33BF98B12040C808A
 */
public class ClipboardUtils {

	/** Copies a string to the clipboard. */
	public static void copyToClipboard(String text) {
		Clipboard clipboard = new Clipboard(Display.getCurrent());
		try {
			clipboard.setContents(new Object[] { text },
					new Transfer[] { TextTransfer.getInstance() },
					DND.CLIPBOARD);
		} finally {
			// setContents can throw runtime exceptions. Dispose thus in
			// finally.
			clipboard.dispose();
		}
	}

	/** Returns the current contents of the clipboard. */
	public static String getContents() {
		Clipboard clipboard = new Clipboard(Display.getCurrent());
		try {
			return (String) clipboard.getContents(TextTransfer.getInstance());
		} finally {
			// getContents can throw runtime exceptions. Dispose thus in
			// finally.
			clipboard.dispose();
		}
	}
}