/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.treemap;

import org.eclipse.swt.graphics.Color;

import org.conqat.lib.commons.treemap.IDrawingPattern;

/**
 * Drawing pattern with colors. If all patterns should be gray use plain
 * {@link IDrawingPattern} instead.
 * 
 * @author Timo Besenreuther
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: F77041E1509FC9FC8B20EF119901633D
 */
public interface IColoredDrawingPattern extends IDrawingPattern {

	/** Get the foreground color for an element */
	Color getForegroundColor(Object element);
}